V2 notes from user testing

From GeneSetEnrichmentAnalysisWiki

(Difference between revisions)
Jump to: navigation, search
Line 1: Line 1:
-
<h2>Notes from testing/user feedback of beta v2 software</h2>
+
<p><br /></p>
-
<br /><span style="color: rgb(0, 0, 255);">Fill in gotchas, observations of user behavior etc for the v2 software</span><br style="color: rgb(0, 0, 255);" /><br style="color: rgb(0, 0, 255);" /><span style="color: rgb(0, 0, 255);">(dont enter bugs here, use [[Gsea_enhancements]] instead</span><br /><br /><br /><span style="font-weight: bold;">I ran gsea v2 and the results not identical to PNAS published results. Theres a bug!</span><br /><br />Probabaly not<br /><br />1) your results modestly different - FDRS change a bit or the order of top gene sets is a little different<br />This is because the FDR for a small number of sets can be a bit choppy in the tail. So, a small diff (few percent) in FDR is not unusual as the random seed used from run to run is different<br />Additionally, the mapping databases have been updated to reflect the latest releases of NetAffx, Unigene and related chip annotations. These changes might have affected the mapping of gene sets from native ids to gene symbols and also the collapsing of datasets from probe ids to gene symbols. Our internal tests show that these effects are minor but nevertheless could account for small differences in FDR<br /><br />2) The results are hugely different<br />Something is wrong and its most likely your fault.<br /><br /><br /><span style="font-weight: bold;">Whats the relation b/w GSEA and the new stuff (MSigDB Browser, Chip2Chip)</span><br /><br />msigdb, chip2chip etc are <span style="font-weight: bold;">not </span>needed for vanilla gsea. You can run gsea with any gene sets.<br />They help find gene sets and map them b/w platforms.<br /><br />For gsea, simply the 3 steps. No need to do mapping etc. Even collapsing is now built in.<br /><br /><br /><span style="font-weight: bold;">GSEA Java Needs</span><br /><br />Needs 1.4+<br />Preferred to use 1.5<br /><br />So if you launch on a mac and see the error message unsupported class version it means that your mac (or windows) doesnt not have the correct java version.<br />For the mac: http://docs.info.apple.com/article.html?artnum=302412
+
<p>We are now using Bugzilla to track GSEA bugs and enhancements: [http://bugzilla.broad.mit.edu/gsea/ http://bugzilla.broad.mit.edu/gsea/].<br /></p>
 +
<p>This page was initially used to capture&nbsp; &quot;gotchas&quot; and &quot;confusions&quot; that users encountered in using the V2 software. These observations should be captured in Bugzilla as documentation and/or software enhancements.<br /></p>

Revision as of 18:58, 16 May 2006


We are now using Bugzilla to track GSEA bugs and enhancements: http://bugzilla.broad.mit.edu/gsea/.

This page was initially used to capture  "gotchas" and "confusions" that users encountered in using the V2 software. These observations should be captured in Bugzilla as documentation and/or software enhancements.

Personal tools